1
massacre
What would you do if you were starting out?
  • 2005/8/10 21:07

  • massacre

  • Just popping in

  • Posts: 48

  • Since: 2005/8/10


I am planning a XOOPS based site for a client of mine. I have already installed 2.2 and have a few things running on it. The problem is (and this is generally true of Open Source) that it's never easy to find a clear idea of what I should be using.

Since my webhosting company only has PHP5, and switch to Unix is prohibitively expensive, I have replicated that environment locally. I've started playing with themes and modules.

If you, the experienced XOOPS admin/developer/user were just starting out and you had the following requirements, what would you use/do/recommend?

1) PHP5.5
2) IIS (I'm currently testing with Apache - but can't get this on my webhost)
3) I need a media/gallery area where I can upload pictures and videos of events. There is the outside possibility of allowing users to do the same
4) A bulletin board. Preferably best of class (like PHPBB 2)
5) Private Messaging
6) Calendar with mini-block and decent events control
7) Content Management - news/articles
8) I intend on creating static pages with the PHP wrapper as mentioned on here for some of the current site information that doesn't really correspond to any modules and aren't necessarily going to ever change.

Now, having said all that, I've read and already tried several modules. The problem is that many still aren't working with PHP5. I haven't yet tried some of the forum fixes like disabling debug mode to get rid of the informationals, etc. And the SmartFactory stuff hasn't been released yet for this.

I'm willing to wait if something good is on the way, but I can't wait too long, so relative availability might be more important than quality. Ease of use is important.

Here are some of my results:
SmartMedia doesn't seem to work with 2.2
PiCal works and looks like the right way to go for me
Xoop Stats don't turn up any stats and I can't configure it
Who's Online works
Private Messaging (installed with 2.2 of Xoops) - haven't tried it - assume it works.
User Management (installed with 2.2 of Xoops) - looks like it works
Clock/Calendar looks nice and works fine.
Tiny Event - doesn't look like it works
XCGallery - doesn't look like it works either.

I've read on here that MyAlbum is currently the only thing that works with PHP5 and XOOPS 2.2. I'm not sure I need tons of functions... will SmartMedia be better? I haven't seen it in action.

I plan on changing the global variables as suggested to get some modules working... any comments on that?

For a new user, all of this is made more complex because the modules aren't really defined as v2.2 ready or anything and really should have requirements on them (either by the QA or the module writers).

I plan on giving back to the community and it looks like it's thriving, so I'm hopeful that someone can put me down the right road to begin with.

Thanks!

2
JamesSAEP
Re: What would you do if you were starting out?
  • 2005/8/10 21:25

  • JamesSAEP

  • Just can't stay away

  • Posts: 732

  • Since: 2005/2/28


Quote:

The main point is that we in the core dev team are no longer developing modules to go with the core, but instead we pick the best modules available.

This means that we will be putting in modules such as:
News
CBB
Liaise
MultiMenu
SmartPartner
SmartFaq
SmartSection
SmartClient
Content
EvenNews
WF-Sections
WF-Downloads
XoopsPoll
WebLinks
xDonations
Kshop
PiCal
MyAlbum-P
PopupNblog

(And yes, it is a bit of a religious question, whether one module is better than another, but that's just how it is. We have to cut through and pick some - and that's what we will do)


This was posted in the 2.2 comments a while back by Mith.

I'm successfully using myalbum-p, news 1.3.11, cbb 2.2 with XOOPS 2.2.

3
massacre
Re: What would you do if you were starting out?
  • 2005/8/10 21:56

  • massacre

  • Just popping in

  • Posts: 48

  • Since: 2005/8/10


Quote:

Jamescne wrote:
Quote:

The main point is that we in the core dev team are no longer developing modules to go with the core, but instead we pick the best modules available.

This means that we will be putting in modules such as:
News... [edited for brevity]

(And yes, it is a bit of a religious question, whether one module is better than another, but that's just how it is. We have to cut through and pick some - and that's what we will do)


This was posted in the 2.2 comments a while back by Mith.

I'm successfully using myalbum-p, news 1.3.11, cbb 2.2 with XOOPS 2.2.


Okay, I've gone through and listed several modules that seem to be compatible with 2.2. The question then is that some of those list PHP 4.1. Can 2.2 run on versions of PHP before 5.0? It makes this rather confusing if I have to check for both 2.2 compatability as well as PHP5. I did find a forum post with some info:https://xoops.org/modules/newbb/viewtopic.php?topic_id=33965&forum=8&post_id=154778#forumpost154778

I know I'm getting into the borderline area when I'm asking for best of breed modules. But I need them on 2.2x and PHP5 as I mentioned above. I assume this will work with IIS as well. Thanks for the response!

4
WarDick
Re: What would you do if you were starting out?
  • 2005/8/10 22:07

  • WarDick

  • Just can't stay away

  • Posts: 890

  • Since: 2003/9/13


If your desire is troublefree installation and a rapid deployment then forget 2.2.1. There are too many issues for a newbie. PHP5 will limit your choices though. Try wiwimod for static pages it is a gem, it is not limited to static pages only.
Urging XOOPS to be the Best It Can Be.
Richard......

5
massacre
Re: What would you do if you were starting out?
  • 2005/8/11 1:10

  • massacre

  • Just popping in

  • Posts: 48

  • Since: 2005/8/10


Quote:

WarDick wrote:
If your desire is troublefree installation and a rapid deployment then forget 2.2.1. There are too many issues for a newbie. PHP5 will limit your choices though. Try wiwimod for static pages it is a gem, it is not limited to static pages only.


Well, I can deal with troubles, and 2.2x seems stable enough from comments and my own testing. What sort of issues did you mean?

I thought only 2.2x supported PHP5, so I think I'm limited already. I'll definitely look at wiwimod as it shows up as working (I haven't tried yet). I was actually thinking of just making static HTML pages and wrapping them in PHP per the tutorial.

6
jctsup1
Re: What would you do if you were starting out?
  • 2005/8/11 20:06

  • jctsup1

  • Not too shy to talk

  • Posts: 146

  • Since: 2002/5/23


Xoops 2.21 can & does run fine with PHp 4.3.11 and above. Haven't tested anything before that though. The only issue that you will run into with using PHP 5 is that some of the modules out there will not work properly.
Jeffrey C. Tindillier, CIW
Microsoft MVP - IIS
--------------------------------------------
IIS Tips, Tricks & Resources
http://www.iis-resources.com

Login

Who's Online

219 user(s) are online (142 user(s) are browsing Support Forums)


Members: 0


Guests: 219


more...

Donat-O-Meter

Stats
Goal: $100.00
Due Date: Apr 30
Gross Amount: $0.00
Net Balance: $0.00
Left to go: $100.00
Make donations with PayPal!

Latest GitHub Commits